Package org.freeplane.api

# Interface NodeGeometryRO

All Known Subinterfaces:
  `NodeGeometry`, `Proxy.NodeGeometry`, `Proxy.NodeGeometryRO`

public interface NodeGeometryRO

Since:
  1.8.11

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Quantity<LengthUnit>`
  `getHorizontalMargin()`
  `boolean`
  `getIsUniform()`
  `NodeShape`
  `getShape()`
  `Quantity<LengthUnit>`
  `getVerticalMargin()`

- ## Method Details

  - ### getShape

    NodeShape getShape()

  - ### getHorizontalMargin

    Quantity<LengthUnit> getHorizontalMargin()

  - ### getVerticalMargin

    Quantity<LengthUnit> getVerticalMargin()

  - ### getIsUniform

    boolean getIsUniform()